#include <syscall.h>

#define __KERNEL__ 
#include <sys/sem.h>

static inline
_syscall5(int,ipc,int,call,int,first,int,second,int,third,void *,ptr)

int
semctl (int semid, int semnum, int cmd, union semun arg)
{
    return ipc (SEMCTL, semid, semnum, cmd, &arg); 
}
